﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;

namespace _114558
{
    public partial class Form1 : Form
    {
        int br = 0;
        PopupMenuTool context = new PopupMenuTool("contextMenu");
        public Form1()
        {
            InitializeComponent();
            ultraToolbarsManager1.Tools.Add(context);

        }

        private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {

        }

        private void ultraToolbarsManager1_AfterToolCloseup(object sender, Infragistics.Win.UltraWinToolbars.ToolDropdownEventArgs e)
        {
            if (e.Tool.Key == "contextMenu")
            {
               this.ultraToolbarsManager1.SetContextMenuUltra(this, "");
               
            }
        }

        private void ultraToolbarsManager1_BeforeToolActivate(object sender, Infragistics.Win.UltraWinToolbars.CancelableToolEventArgs e)
        {

        }

        private void Form1_MouseClick(object sender, MouseEventArgs e)
        {
            if (e.Button == System.Windows.Forms.MouseButtons.Right)
            {
                ClearContextTools();

                for (int i = 0; i < 10; i++)
                {
                    ButtonTool b1 = new ButtonTool("b"+i.ToString());
                    b1.SharedProps.Caption = string.Format("({1})Tool{0}", i,br);
                    this.ultraToolbarsManager1.Tools.Add(b1);
                    context.Tools.AddTool("b"+i.ToString());
                }          
                this.ultraToolbarsManager1.SetContextMenuUltra(this, "contextMenu");
                context.ShowPopup();
                br++;
            }
        }

        private void ClearContextTools()
        {
            for (int i = context.Tools.Count - 1; i > -1; i--)
            {
                ToolBase tool = context.Tools[i];
                context.Tools.Remove(tool);
                ultraToolbarsManager1.Tools.Remove(tool);
                tool.Dispose();
            }

            context.Tools.Clear();
        }
    }
}
